Loading...
Searching...
No Matches
SalesforceRestDataProvider::SalesforceRestDataProvider Class Reference

The SalesforceRest data provider class. More...

`#include <SalesforceRestDataProvider.qc.dox.h>`

Inheritance diagram for SalesforceRestDataProvider::SalesforceRestDataProvider:
[legend]

## Public Member Functions

| constructor (*hash< auto > options)
| Creates the object from constructor options.
| constructor (SalesforceRestClient rest)
| Creates the object from the arguments.
*list< hash< DataProviderSummaryInfo > > | getChildProviderSummaryInfo ()
| Return data provider summary info.
*string | getDesc ()
| Returns the data provider description.
string | getName ()
| Returns the data provider name.
Public Member Functions inherited from SalesforceRestDataProvider::SalesforceRestDataProviderBase
| constructor ()
| Creates the object.
| constructor (SalesforceRestClient::SalesforceRestClient rest)
| Creates the object.
| setLogger (*LoggerInterface logger)
| Accepts a LoggerInterface object for logging (or clears it)

## Public Attributes

const | ConstructorOptions
| Constructor options.
const | EnvOptions
| Environment options.
const | HttpMethods
| Hash of HTTP Methods.
const | ProviderInfo
| Provider info.

## Protected Member Functions

*AbstractDataProvider | getChildProviderImpl (string name)
| Returns the given child provider or NOTHING if the given child is unknown.
*list< string > | getChildProviderNamesImpl ()
| Returns a list of child data provider names, if any.
hash< DataProviderInfo > | getStaticInfoImpl ()
| Returns data provider static info.

## Static Protected Member Functions

static *hash< auto > | getClientOptions (*hash< auto > copts)
| Returns options for the SalesforceRestClient.

## Additional Inherited Members

Protected Attributes inherited from SalesforceRestDataProvider::SalesforceRestDataProviderBase
SalesforceRestClient | rest
| The REST client object for API calls.

## Detailed Description

The SalesforceRest data provider class.

## Member Function Documentation

## getChildProviderImpl()

*AbstractDataProvider SalesforceRestDataProvider::SalesforceRestDataProvider::getChildProviderImpl | ( | string | name | ) |

protected

Returns the given child provider or NOTHING if the given child is unknown.

Returns
  the given child provider or NOTHING if the given child is unknown

See also
  getChildProviderEx()

## getChildProviderNamesImpl()

*list< string > SalesforceRestDataProvider::SalesforceRestDataProvider::getChildProviderNamesImpl | ( |  | ) |

protected

Returns a list of child data provider names, if any.

Returns
  a list of child data provider names, if any